# -*- coding:euc-jp-unix -*-
#
# Copyright (c) 2000-2003 Turbolinux, inc. 
# This file and all modifications and/or additions are under 
# the same license as package itself.

%define _name opfc-StatusDaemon
%define _ver  1.0.1
%define _rel  1

# define initrd
%{!?_initrddir:%define _initrddir /etc/rc.d/init.d}

Summary: OpenPrinting Japan - Printer daemon sample implementation
Summary(ja_JP.eucJP): ץ󥿾ƻץ
Name: %{_name}
Version: %{_ver}
Release: %{_rel}
License: See COPYING file
Group: Applications/System
Source0: opfc-StatusDaemon-1.0.1.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Requires: cups gtk2
BuildRequires: cups-devel gtk2-devel atk-devel expat-devel pkgconfig
BuildRequires: opfc-libBidiPlugin-devel

%description
This packge is the part of "OpenPrinting Japan API Reference Implementation".
A sample printer daemon implementation.

%description -l ja_JP.eucJP
ΥѥåˤѻͤޤΥץ󥿤ξƻ뤹뤿ξ󷿥ץबޤޤƤޤ

%package conf
Group: Applications/System
Summary: configration tools for %{name}
Summary(ja_JP.eucJP): ץ󥿥ǡġ
Requires: %{name} = %{version}

%description conf
configration tools for %{name}

%description conf -l ja_JP.eucJP
Υѥåˤϥץ󥿥ǡꤹ뤿Υġ뤬ޤޤƤޤ

%prep
%setup -q -n opfc-StatusDaemon-1.0.1

%build
CFLAGS="$RPM_OPT_FLAGS" \
%configure 
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}
install -m0755 %{name}.init ${RPM_BUILD_ROOT}/%{_initrddir}/oppd
install -m0755 oppd/oppd.conf ${RPM_BUILD_ROOT}/%{_sysconfdir}/oppd.conf

cp oppd/COPYING oppd/COPYING.oppd
cp backend/LICENSE.txt backend/LICENSE.op_lpd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%doc oppd/COPYING.oppd
%doc backend/LICENSE.op_lpd
%doc doc/oppd040223.pdf 
%config(noreplace) %{_sysconfdir}/oppd.conf
%{_initrddir}/oppd
%{_sbindir}/oppd-listen
%{_sbindir}/oppd-output
%{_sbindir}/oppd-spool
%{_sbindir}/oppd-status
%{_libdir}/cups/backend/op_lpd

%files conf
%defattr(-,root,root)
%doc oppd-conf/COPYING
%{_bindir}/oppd-conf
%{_datadir}/locale/*/LC_MESSAGES/oppd-conf.mo

%changelog
* Thu Mar 24 2005 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> - 1.0.1
- don't create spool file when job size is 0 [opfc:1155]
- fix memory leak [opfc:1155]
	
* Tue Apr  6 2004 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- modified default oppd.conf [opfc:831]

* Wed Mar 31 2004 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- repackage for Turbolinux
- applied oppd-040305.patch oppd-040308.patch oppd-040309.patch oppd-040311.patch oppd-040318.patch
